Bug 736031 - Sudo can not parse file with ".conf" extension located in /etc/sudoers.d
Summary: Sudo can not parse file with ".conf" extension located in /etc/sudoers.d
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 13:24 UTC by Petr Ruzicka
Modified: 2018-11-14 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 13:56:47 UTC


Attachments (Terms of Use)

Description Petr Ruzicka 2011-09-06 13:24:52 UTC
Description of problem:
Sudo can not parse file with ".conf" extension located in /etc/sudoers.d
Actually it looks like these files are ignored

Version-Release number of selected component (if applicable):
sudo-1.7.4p5-5.el6.x86_64

How reproducible:
# echo "pruzicka  ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/test.conf
# chmod 0440 /etc/sudoers.d/test.conf

$ id
uid=500(pruzicka) gid=500(pruzicka) groups=500(pruzicka)
$ sudo su
[sudo] password for pruzicka:

Steps to Reproduce:
# echo "pruzicka  ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/test.conf
# chmod 0440 /etc/sudoers.d/test.conf

$ id
uid=500(pruzicka) gid=500(pruzicka) groups=500(pruzicka)
$ sudo su
[sudo] password for pruzicka:
  
Actual results:
sudo is asking for password. 

Expected results:
sudo should give me root shell without asking the password

Additional info:
If I rename the file "test.conf" to simple "test" (mv /etc/sudoers.d/test.conf /etc/sudoers.d/test) it's working fine. Only the conf extension causing problem.

Comment 2 RHEL Product and Program Management 2011-09-06 13:59:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Jeff Bastian 2011-10-17 21:00:45 UTC
This is not-a-bug.  It states in the sudoers man page:
       sudo will read each file in /etc/sudoers.d, skipping file names that
       end in ~ or contain a . character to avoid causing problems with
       package manager or editor temporary/backup files.

A test.conf file has a "." in the name so it will be skipped.

Comment 4 Petr Ruzicka 2011-10-24 09:01:22 UTC
Oh sorry.

I didn't check the man pages properly... 

Thank you

Please close this case.


Note You need to log in before you can comment on or make changes to this bug.